<?php

class Licentia_Fidelitas_Block_Adminhtml_Conversions_Grid extends Mage_Adminhtml_Block_Widget_Grid
{

    public function __construct()
    {
        parent::__construct();
        $this->setId('conversions_grid');
        $this->setDefaultSort('conversion_id');
        $this->setDefaultDir('DESC');
    }

    protected function _prepareCollection()
    {

        $collection = Mage::getModel('fidelitas/conversions')
            ->getResourceCollection();

        if ($this->getRequest()->getParam('display') == 'campaigns') {
            $collection->getSelect()->group('utm_campaign');
            $collection->getSelect()->columns(['order_amount' => new \Zend_Db_Expr('SUM(order_amount)')]);
        }

        $this->setCollection($collection);
        return parent::_prepareCollection();
    }

    /**
     * @return Mage_Adminhtml_Block_Widget_Grid
     * @throws Exception
     */

    protected function _prepareColumns()
    {

        if ($this->getRequest()->getParam('display') == 'campaigns') {

            $this->addColumn('utm_campaign', array(
                'header' => $this->__('Campaign'),
                'type'   => 'text',
                'index'  => 'utm_campaign',
            ));

            $this->addColumn('eg_cam', array(
                'header' => $this->__('E-Goi Campaign'),
                'type'   => 'text',
                'index'  => 'eg_cam',
            ));


            $this->addColumn('order_amount', array(
                'header'        => $this->__('Order Amnt'),
                'align'         => 'left',
                'index'         => 'order_amount',
                'type'          => 'price',
                'currency_code' => Mage::app()->getStore()->getBaseCurrency()->getCode(),
            ));

        } else {
            $this->addColumn('conversion_id', array(
                'header' => $this->__('ID'),
                'align'  => 'right',
                'width'  => '90px',
                'index'  => 'conversion_id',
            ));

            $this->addColumn('email', array(
                'header' => $this->__('Email'),
                'align'  => 'center',
                'index'  => 'email',
            ));

            $this->addColumn('utm_term', array(
                'header' => $this->__('Term'),
                'type'   => 'text',
                'index'  => 'utm_term',
            ));

            $this->addColumn('utm_campaign', array(
                'header' => $this->__('Campaign'),
                'type'   => 'text',
                'index'  => 'utm_campaign',
            ));

            $this->addColumn('eg_cam', array(
                'header' => $this->__('E-Goi Campaign'),
                'type'   => 'text',
                'index'  => 'eg_cam',
            ));

            $this->addColumn('eg_sub', array(
                'header' => $this->__('Sub ID'),
                'type'   => 'text',
                'index'  => 'eg_sub',
            ));

            $this->addColumn('order_id', array(
                'header' => $this->__('Order ID'),
                'align'  => 'left',
                'index'  => 'order_id',
            ));

            $this->addColumn('order_amount', array(
                'header'        => $this->__('Order Amnt'),
                'align'         => 'left',
                'index'         => 'order_amount',
                'type'          => 'price',
                'currency_code' => Mage::app()->getStore()->getBaseCurrency()->getCode(),
            ));

            $this->addColumn('created_at', array(
                'header' => $this->__('Date'),
                'align'  => 'left',
                'type'   => 'datetime',
                'index'  => 'created_at',
            ));
        }
        return parent::_prepareColumns();
    }


    public function getGridUrl()
    {
        return false;
    }

    public function getRowUrl($row)
    {
        return false;
    }

}
